Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoHammingDistance< EOT > Class Template Reference

This is a generic class for L1 distance computation: assumes the 2 things are std::vectors of something that is double-castable For bitstrings, this is the Hamming distance. More...

`#include <eoDistance.h>`

Inheritance diagram for eoHammingDistance< EOT >:

List of all members.

## Public Member Functions
double | operator() (const EOT &_v1, const EOT &_v2)
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoHammingDistance< EOT >

This is a generic class for L1 distance computation: assumes the 2 things are std::vectors of something that is double-castable For bitstrings, this is the Hamming distance.

Definition at line 66 of file eoDistance.h.

The documentation for this class was generated from the following file:

- eoDistance.h